services:
  opencode-deepseek-c65gm:
    #image: ghcr.io/anomalyco/opencode:0.0.0-beta-202604081541
    image: ghcr.io/anomalyco/opencode:latest
    user: "${DOCKER_UID}:${DOCKER_GID}"
    working_dir: /app
    volumes:
      - .:/app
      - ./opencode-config:/app/.config/opencode
      - ./opencode-data:/home/opencode/.local/share/opencode
    environment:
      - DEEPSEEK_API_KEY=${DEEPSEEK_API_KEY}
      - HOME=/app
    stdin_open: true
    tty: true
